Subject: Re: [patch 20/21] forcedeth: fix locking bug with netconsole

From: Ingo Molnar <[email-masked]>
Date: Sat, 29 Mar 2008 00:46:28 +0100

* Andrew Morton <[email-masked]> wrote:

> > > Please do not mix device driver changes with core networking 
> > > changes.
> > 
> > FWIW my plan was to snip the net/* stuff and only apply the 
> > forcedeth portion.
> > 
> > (leaving <whomever> to pick up the pieces, should they so desire)
> > 
> 
> Just drop 'em completely I'd say.

you mean the netpoll.c bits? sure.

> otoh, drivers do seem a bit flakey in the netpoll-support area, so a 
> bit of extra debug wouldn't hurt.  But checking irqs_disabled() either 
> side of a udelay() was a bit paranoid ;)

yeah. i completely forgot about those bits. But lets make sure the 
forcedeth.c fix gets into .25 - it's obvious and it fixes a nasty bug. 
Without that fix netconsole is unusable on forcedeth.

	Ingo